=== debian/changelog ===
semweb (1.05+dfsg-5) unstable; urgency=low

  * Team upload
  * Rebuild for CLR 4.0 transition
  * [800adf2] Use debsrc 3.0 (quilt)
  * [17253c9] Merge -arch and -indep things together.
    There are only Arch: all packages here, so there's no point in having all
    that cruft.
  * [73dca30] Drop deprecated cli.make include

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 21 Jan 2012 02:20:34 +0800

semweb (1.05+dfsg-4) unstable; urgency=low

  * debian/control:
    + Fix typo in monodoc-semweb-manual description (Closes: #557701)
    + Update build-deps to Mono 2.4.3 standards, and fix broken MySQL
      Connector/NET build-dep
  * debian/monodoc-semweb-manual.postinst,
    debian/monodoc-semweb-manual.postrm:
    + Don't manually fiddle the search index (this is handled by a
      DPKG trigger)

 -- Jo Shields <directhex@apebox.org>  Mon, 09 Aug 2010 10:37:05 +0100

semweb (1.05+dfsg-3) unstable; urgency=low

  [ David Paleino ]
  * debian/rules:
    + fix docs generation commands (Closes: #533928)
    + rewritten using override targets and cli-common integration
    + fix clean target, FTBFS because of missing directory
  * debian/control:
    + raise dependency on debhelper to >= 7.0.50, to use override
      targets
    + raise dependency on cli-common-dev to >= 0.5.7, to use dh7
      integration
    + bump Build-Depends from libmysql5.0-cil to libmysql6.0-cil
    + added ${misc:Depends} to monodoc-semweb-manual dependencies
    + Standards-Version bumped to 3.8.3:
      - move from Section libs to cli-mono
  * debian/patches/:
    + converted patches to quilt (also change debian/rules and
      debian/control)
    + added DEP-3 headers
  * debian/copyright: updated FSF postal address
  * debian/monodoc-semweb-manual.post*: fix monodoc calls, removed
    old postinst hack
  * debian/README.source added

  [ Mirco Bauer ]
  * debian/control:
    + Updated Vcs-* fields for the migrated git repository.
  * debian/patches/04-use_csc_as_compiler.patch
    debian/patches/04-use_mono-csc_as_compiler.patch
    debian/control:
    + Use mono-csc instead of csc and updated mono-devel build-dep.

 -- David Paleino <d.paleino@gmail.com>  Sat, 26 Sep 2009 00:00:42 +0200

semweb (1.05+dfsg-2) unstable; urgency=low

  * Update for Mono 2.0 transition
    + debian/patches/use_csc_as_compiler.dpatch:
      - Compiler is hard-coded in Makefile; change it
  * No-change standards bump to 3.8.0
  * Tweak watch file to make uscan aware of mangled version

 -- Jo Shields <directhex@apebox.org>  Mon, 02 Mar 2009 15:16:38 +0000

semweb (1.05+dfsg-1) unstable; urgency=low

  * DFSG version of SemWeb 1.05
    (deleted all pre-compiled binaries from the tarball)
    + For the record here a list of the deleted files:
      bin/IKVM.GNU.Classpath.dll
      bin/IKVM.Runtime.dll
      bin/Mono.GetOptions.dll
      bin/SemWeb.PostgreSQLStore.dll
      bin/SemWeb.SQLServerStore.dll
      bin/SemWeb.Sparql.dll
      bin/SemWeb.SqliteStore.dll
      bin/SemWeb.dll
      bin/euler.exe
      bin/rdfquery.exe
      bin/rdfstorage.exe
      bin/sparql-core.dll
      bin_generics/IKVM.GNU.Classpath.dll
      bin_generics/IKVM.Runtime.dll
      bin_generics/Mono.GetOptions.dll
      bin_generics/SemWeb.MySQLStore.dll
      bin_generics/SemWeb.PostgreSQLStore.dll
      bin_generics/SemWeb.SQLServerStore.dll
      bin_generics/SemWeb.Sparql.dll
      bin_generics/SemWeb.SqliteStore.dll
      bin_generics/SemWeb.dll
      bin_generics/euler.exe
      bin_generics/rdfquery.exe
      bin_generics/rdfstorage.exe
      bin_generics/sparql-core.dll
  * Initial release.

 -- Mirco Bauer <meebey@debian.org>  Sun, 04 May 2008 14:09:48 +0200
