=== debian/control ===
Source: semweb
Section: cli-mono
Priority: optional
Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 cli-common-dev (>= 0.5.7),
 sharutils,
 mono-devel (>= 2.4.3),
 pkg-config,
 monodoc-base,
 libmysql-cil-dev
Standards-Version: 3.9.2
Homepage: http://razor.occams.info/code/semweb/
Vcs-Browser: http://git.debian.org/?p=pkg-cli-libs/packages/semweb.git
Vcs-Git: git://git.debian.org/pkg-cli-libs/packages/semweb.git

Package: libsemweb1.0-cil
Architecture: all
Suggests: monodoc-semweb-manual
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Description: Semantic Web/RDF library
 SemWeb is a Semantic Web/RDF library written in C# for Mono and Microsoft .NET
 Framework. The library can be used for reading and writing RDF (XML, N3),
 keeping RDF in persistent storage (memory, MySQL, etc.), querying persistent
 storage via simple graph matching and SPARQL, and making SPARQL queries to
 remote endpoints. Limited RDFS and general-purpose inferencing is also
 possible.

Package: monodoc-semweb-manual
Section: doc
Architecture: all
Depends: monodoc-manual, ${misc:Depends}
Description: compiled XML documentation for SemWeb
 SemWeb is a Semantic Web/RDF library written in C# for Mono and Microsoft .NET
 Framework. The library can be used for reading and writing RDF (XML, N3),
 keeping RDF in persistent storage (memory, MySQL, etc.), querying persistent
 storage via simple graph matching and SPARQL, and making SPARQL queries to
 remote endpoints. Limited RDFS and general-purpose inferencing is also
 possible.
 .
 This package contains the compiled XML documentation for SemWeb
