=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

DEB_VERSION = $(shell dpkg-parsechangelog | grep ^Vers | cut -d\  -f2)
VERSION = $(shell echo $(DEB_VERSION) | sed 's,-.*,,' | sed 's,+dfsg.*,,')
DEB_CLI_ABI_VERSION = 1.0
DEB_CLI_API_VERSION = 1.0.5
LIBS =  bin_generics/SemWeb.dll \
	bin_generics/SemWeb.PostgreSQLStore.dll \
	bin_generics/SemWeb.MySQLStore.dll \
	bin_generics/SemWeb.SqliteStore.dll \
	bin_generics/SemWeb.SQLServerStore.dll

override_dh_auto_build:
	# unpack signing key
	cd debian && uudecode < semweb.snk.uu

	# compile
	dh_auto_build -- PROFILE=DOTNET2 $(LIBS)

	# sign libs
	for LIB in $(LIBS); do \
		sn -R $$LIB debian/semweb.snk; \
	done

	# build API docs
	#for LIB in $(LIBS); do \
	#	mdoc update -i $$LIB -o $(CURDIR)/bin_generics/monodocer; \
	#done
	mdoc update -o $(CURDIR)/bin_generics/monodocer \
	  bin_generics/SemWeb.dll
	mdoc assemble -o $(CURDIR)/bin_generics/SemWeb \
	  -f ecma $(CURDIR)/bin_generics/monodocer

debian/semweb-$(DEB_CLI_ABI_VERSION).pc: debian/semweb.pc
	cat $< | sed -e 's/#VERSION#/$(VERSION)/;' | \
		sed -e 's/#DEB_CLI_ABI_VERSION#/$(DEB_CLI_ABI_VERSION)/' > \
		$@

override_dh_auto_install: debian/semweb-$(DEB_CLI_ABI_VERSION).pc
	# pkg-config
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/pkgconfig
	install -m644 debian/semweb-$(DEB_CLI_ABI_VERSION).pc \
		debian/tmp/usr/lib/pkgconfig/
	dh_auto_install

override_dh_makeclilibs:
	dh_makeclilibs -m $(DEB_CLI_API_VERSION)

override_dh_auto_clean:
	# clean up our signing key
	rm -f debian/semweb.snk
	# clean up our .pc file
	rm -f debian/semweb-$(DEB_CLI_ABI_VERSION).pc
	# clean up our API docs
	rm -f bin_generics/SemWeb.tree \
	      bin_generics/SemWeb.zip
	rm -rf bin_generics/monodocer

	# workaround for broken "make clean"
	[ -d bin_generics/ ] || mkdir bin_generics/
	for FILE in $(LIBS) \
	  bin_generics/SemWeb.Sparql.dll \
	  bin_generics/rdfstorage.exe \
	  bin_generics/rdfquery.exe \
	  bin_generics/euler.exe; do \
		touch $$FILE; \
	done

	dh_auto_clean

%:
	dh $@ --with=cli
