=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
	http://razor.occams.info/code/semweb/ semweb-([\d\.]+)\.tgz
